%define base_name	kde-icons
%define theme_name	FairytaleWorld
%define version		1.11
%define name		%{base_name}-%{theme_name}
%define release		3plf

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Icon themes for kde
License:	GPL
Group:		Graphical desktop/KDE
Source:		%{theme_name}-%{version}.tar.bz2
URL:		http://magiclinux.org/people/caihua/
Requires:	kdebase
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-buildroot

Provides:  kdemoreartwork-FairytaleWorld
Obsoletes: kdemoreartwork-FairytaleWorld

%description
FairytaleWorld is a set  of icons for KDE
This is in PLF because it contain WMP icons

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n %{theme_name}

%build

%install
install -d -m 755 %buildroot%{_datadir}/icons/%{theme_name}
install -d -m 755 %buildroot%{_datadir}/icons/%{theme_name}/16x16
install -d -m 755 %buildroot%{_datadir}/icons/%{theme_name}/32x32
install -d -m 755 %buildroot%{_datadir}/icons/%{theme_name}/48x48
install -d -m 755 %buildroot%{_datadir}/icons/%{theme_name}/64x64
install -d -m 755 %buildroot%{_datadir}/icons/%{theme_name}/128x128
cp -fr * %buildroot%{_datadir}/icons/%{theme_name}/
cp -f 16x16/apps/kmenu.png %buildroot%_iconsdir/%{theme_name}/16x16/apps/menuk-mdk.png
cp -f 16x16/apps/background.png %buildroot%_iconsdir/%{theme_name}/16x16/apps/desktop-mdk.png
cp -f 16x16/apps/kfm_home.png %buildroot%_iconsdir/%{theme_name}/16x16/apps/home-mdk.png
cp -f 32x32/apps/kmenu.png %buildroot%_iconsdir/%{theme_name}/32x32/apps/menuk-mdk.png
cp -f 32x32/apps/background.png %buildroot%_iconsdir/%{theme_name}/32x32/apps/desktop-mdk.png
cp -f 32x32/apps/kfm_home.png %buildroot%_iconsdir/%{theme_name}/32x32/apps/home-mdk.png
cp -f 48x48/apps/kmenu.png %buildroot%_iconsdir/%{theme_name}/48x48/apps/menuk-mdk.png
cp -f 48x48/apps/background.png %buildroot%_iconsdir/%{theme_name}/48x48/apps/desktop-mdk.png
cp -f 48x48/apps/kfm_home.png %buildroot%_iconsdir/%{theme_name}/48x48/apps/home-mdk.png
cp -f 64x64/apps/kmenu.png %buildroot%_iconsdir/%{theme_name}/64x64/apps/menuk-mdk.png
cp -f 64x64/apps/background.png %buildroot%_iconsdir/%{theme_name}/64x64/apps/desktop-mdk.png
cp -f 64x64/apps/kfm_home.png %buildroot%_iconsdir/%{theme_name}/64x64/apps/home-mdk.png
cp -f 128x128/apps/kmenu.png %buildroot%_iconsdir/%{theme_name}/128x128/apps/menuk-mdk.png
cp -f 128x128/apps/background.png %buildroot%_iconsdir/%{theme_name}/128x128/apps/desktop-mdk.png
cp -f 128x128/apps/kfm_home.png %buildroot%_iconsdir/%{theme_name}/128x128/apps/home-mdk.png


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc license.txt
%{_datadir}/icons/%{theme_name}/*

%changelog
* Tue Feb 01 2005 Sebastien Savarin <plouf@zarg.org> 1.11-3plf
- add Provides and Obsoletes tags in .spec
* Tue Feb 01 2005 Sebastien Savarin <plouf@zarg.org> 1.11-2plf
- Change theme name kdemoreartwork-FairyteleWorld to kde-icons-FairyteleWorld
- Rename icons kmenu.png to menuk-mdk.png kfm_home.png to home-mdk.png 
- background.png to desktop-mdk.png 
* Wed Jan 19 2005 Nicolas Lcureuil < neoclust@zabr.org> 1.11-1plf 
- Spec from Sebastien Savarin <plouf@zarb.org>
          - first release
